@media (min-width: 1024px) and (max-width: 1450px) {
    .header {
        box-sizing: border-box;
        position: fixed;
        width: 100%;
        max-width: 1600px;
        margin: 0 auto;
        display: none;
        align-items: center;
        background-color: rgba(0, 0, 0, 0.9);
        padding: 30px 160px;
        color: #FFFFFF;
        justify-content: space-between;
    }

    .header2 {
        box-sizing: border-box;
        position: fixed;
        width: 100%;
        max-width: 1600px;
        margin: 0 auto;
        display: flex;
        align-items: center;
        background-color: rgba(0, 0, 0, 0.9);
        padding: 30px 160px;
        color: #FFFFFF;
        justify-content: space-between;
    }

    .burger_menu {
        display: flex;
        flex-direction: column;
        justify-content: space-evenly;
        height: 32px;
    }

    .burger_menu div {
        display: flex;
        width: 25px;
        height: 2px;
        background-color: #FFFFFF;
        margin: 0 auto;
    }

    .footer__item {
        width: 100%;
        height: 225px;
        padding: 0 20px;
    }

    .services__row {
        display: flex;
        justify-content: space-around;
        flex-direction: row;
        gap: 60px;
        margin: 0 auto;
        flex-wrap: wrap;
    }

    .technologies__row {
        display: flex;
        justify-content: space-between;
        flex-direction: row;
        gap: 43px;
        margin: 0 auto;
        padding-top: 30px;
        /* overflow: auto; */
        flex-wrap: wrap;
    }

    .clients__row {
        display: flex;
        justify-content: space-between;
        flex-direction: row;
        gap: 40px;
        margin: 0 auto;
        flex-wrap: wrap;
    }

    .comments__row {
        display: flex;
        justify-content: space-between;
        flex-direction: row;
        gap: 40px;
        margin: 0 auto;
        height: 100%;
        flex-wrap: nowrap;
        overflow: auto;
    }

    .about__info {
        max-width: 1600px;
        margin: 0 auto;
        padding: 82px 60px 164px;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    .footer__item:first-child {
        width: 100%;
    }

    .footer__top {
        display: flex;
        justify-content: space-between;
        align-items: flex-start;
        padding-bottom: 30px;
        flex-direction: column;
        gap: 40px;
    }

    .mobile__menu {
        max-width: 1450px;
        display: none;
        flex-direction: column;
        gap: 20px;
        background-color: black;
        position: fixed;
        top: 0;
        right: 0;
        left: 0;
        z-index: 1000;
    }

    .mobile__menu.active {
        display: flex;
    }

    .banner-mobile {
        max-width: 1450px;
    }

    .burger_content {
        display: flex;
        gap: 50px;
        flex-direction: column;
        align-items: center;
        padding-top: 160px;
    }

    .mobile__nav {
        display: flex;
        gap: 30px;
        flex-direction: column;
        align-items: center;
    }

    .mobile__nav a {
        text-decoration: none;
        font-weight: 500;
        text-align: center;
        color: #fff;
        cursor: pointer;
    }

    .mobile__lang {
        display: flex;
        gap: 20px;
    }

    .dropdown-menu {
        display: none;
        list-style: none;
        margin-top: 8px;
        position: static;
    }

    .services-dropdown.active .dropdown-menu {
        display: block;
        position: static;
    }
}

@media (min-width: 768px) and (max-width: 1024px) {

    .header {
        max-width: 1600px;
        margin: 0 auto;
        display: none;
        align-items: center;
        background-color: rgba(0, 0, 0, 0.6);
        padding: 30px 60px;
        color: #FFFFFF;
        justify-content: space-between;
    }

    .header2 {
        box-sizing: border-box;
        position: fixed;
        width: 100%;
        max-width: 1024px;
        margin: 0 auto;
        display: flex;
        align-items: center;
        background-color: rgba(0, 0, 0, 0.9);
        padding: 30px 60px;
        color: #FFFFFF;
        justify-content: space-between;
    }

    .burger_menu {
        display: flex;
        flex-direction: column;
        justify-content: space-evenly;
        height: 32px;
    }

    .burger_menu div {
        display: flex;
        width: 25px;
        height: 2px;
        background-color: #FFFFFF;
        margin: 0 auto;
    }

    .hero__section {
        padding: 250px 150px 168px;
    }

    .services {
        max-width: 1024px;
        margin: 0 auto;
        background-color: #f6f6f6;
        padding: 82px 60px;
    }

    .services__row {
        display: flex;
        justify-content: space-around;
        flex-direction: row;
        gap: 60px;
        margin: 0 auto;
        flex-wrap: wrap;
    }

    .comments {
        max-width: 1600px;
        margin: 0 auto;
        padding: 0 60px 82px;
    }

    .comments__row {
        display: flex;
        justify-content: space-between;
        flex-direction: row;
        gap: 40px;
        margin: 0 auto;
        height: 100%;
        flex-wrap: nowrap;
        overflow: auto;
    }

    .technologies {
        max-width: 1600px;
        margin: 0 auto;
        padding: 82px 60px 0;
    }

    .technologies__row {
        display: flex;
        justify-content: space-between;
        flex-direction: row;
        gap: 43px;
        margin: 0 auto;
        padding-top: 30px;
        flex-wrap: wrap;
    }

    .clients {
        max-width: 1600px;
        margin: 0 auto;
        padding: 82px 60px 0;
    }

    .clients__row {
        display: flex;
        flex-direction: row;
        gap: 40px;
        margin: 0 auto;
        flex-wrap: wrap;
        overflow: auto;
        align-items: center;
    }

    .publications {
        max-width: 1600px;
        margin: 0 auto;
        padding: 82px 60px;
    }

    .publications__row {
        display: flex;
        justify-content: center;
        flex-direction: row;
        gap: 40px;
        margin: 0 auto;
        height: 100%;
        flex-wrap: wrap;
    }

    .publications__text {
        padding-bottom: 30px;
    }

    .publications__item {
        border-radius: 8px;
        width: 45%;
    }

    .contacts form {
        text-align: center;
        padding: 0;
    }

    .footer {
        max-width: 1360px;
        margin: 0 auto;
        background-color: #333333;
        padding: 80px 60px;
    }

    .footer__top {
        display: flex;
        justify-content: space-between;
        align-items: flex-start;
        padding-bottom: 30px;
        flex-direction: column;
        gap: 40px;
    }

    .footer__item {
        width: 100%;
        height: 225px;
        padding: 0 20px;
    }

    .footer__item:first-child {
        width: 100%;
    }

    .footer__item:not(:last-child) {
        border-right: 1px solid #E6E6F0;
    }

    .footer__icons {
        display: flex;
        gap: 20px;
    }

    .contacts1__content {
        display: flex;
        align-items: start;
        justify-content: space-between;
        padding: 0 60px;
        flex-direction: column;
        gap: 40px;
    }

    .about {
        max-width: 1360px;
        margin: 0 auto;
        padding: 82px 60px;
    }

    .service__kind {
        max-width: 1360px;
        margin: 0 auto;
        padding: 82px 60px;
    }

    .about__info {
        max-width: 1360px;
        margin: 0 auto;
        padding: 82px 60px 164px;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    .about__info {
        max-width: 1360px;
        margin: 0 auto;
        padding: 10px 60px 100px;
        display: flex;
        align-items: center;
        justify-content: space-between;
        flex-direction: column;
    }

    .about__info__image {
        width: 346px;
        height: 400px;
    }

    .about__info__column {
        display: flex;
        flex-direction: column;
        justify-content: center;
        text-align: center;
        max-width: 291px;
        height: 690px;
        gap: 70px;
    }

    .mobile__menu {
        max-width: 1024px;
        display: none;
        flex-direction: column;
        gap: 20px;
        background-color: black;
        position: fixed;
        top: 0;
        right: 0;
        left: 0;
        z-index: 1000;
    }

    .mobile__menu.active {
        display: flex;
    }

    .banner-mobile {
        max-width: 1024px;
    }

    .burger_content {
        display: flex;
        gap: 50px;
        flex-direction: column;
        align-items: center;
        padding-top: 160px;
    }

    .mobile__nav {
        display: flex;
        gap: 30px;
        flex-direction: column;
        align-items: center;
    }

    .mobile__nav a {
        text-decoration: none;
        font-weight: 500;
        text-align: center;
        color: #fff;
        cursor: pointer;
    }

    .mobile__lang {
        display: flex;
        gap: 20px;
    }

    .dropdown-menu {
        display: none;
        list-style: none;
        margin-top: 8px;
        position: static;
    }

    .services-dropdown.active .dropdown-menu {
        display: block;
        position: static;
    }
}

@media (min-width: 375px) and (max-width: 768px) {
    .header {
        max-width: 1600px;
        margin: 0 auto;
        display: none;
        align-items: center;
        background-color: rgba(0, 0, 0, 0.6);
        padding: 30px 160px;
        color: #FFFFFF;
        justify-content: space-between;
    }

    .header2 {
        box-sizing: border-box;
        position: fixed;
        width: 100%;
        max-width: 1024px;
        margin: 0 auto;
        display: flex;
        align-items: center;
        background-color: rgba(0, 0, 0, 0.9);
        padding: 30px 60px;
        color: #FFFFFF;
        justify-content: space-between;
    }

    .burger_menu {
        display: flex;
        flex-direction: column;
        justify-content: space-evenly;
        width: 32px;
        height: 32px;
    }

    .burger_menu div {
        display: flex;
        width: 25px;
        height: 2px;
        background-color: #FFFFFF;
        margin: 0 auto;
    }

    .hero__section {
        padding: 220px 150px 168px;
    }

    .services {
        max-width: 768px;
        margin: 0 auto;
        background-color: #f6f6f6;
        padding: 82px 60px;
    }

    .services__row {
        display: flex;
        justify-content: center;
        flex-direction: row;
        gap: 60px;
        margin: 0 auto;
        flex-wrap: wrap;
    }

    .comments {
        max-width: 768px;
        margin: 0 auto;
        padding: 0 60px 82px;
    }

    .comments__row {
        display: flex;
        justify-content: space-between;
        flex-direction: row;
        gap: 40px;
        margin: 0 auto;
        height: 100%;
        flex-wrap: nowrap;
        overflow: auto;
    }

    .comments__user {
        display: flex;
        gap: 15px;
        border-bottom: 4px solid #B9B9B9;
        justify-content: space-between;
        align-items: flex-start;
        padding-bottom: 15px;
        flex-direction: column;
    }

    .technologies {
        max-width: 768px;
        margin: 0 auto;
        padding: 82px 60px 0;
    }

    .technologies__row {
        display: flex;
        justify-content: center;
        flex-direction: row;
        gap: 43px;
        margin: 0 auto;
        padding-top: 30px;
        flex-wrap: wrap;
    }

    .clients {
        max-width: 768px;
        margin: 0 auto;
        padding: 82px 60px 0;
    }

    .clients__row {
        display: flex;
        justify-content: space-between;
        gap: 40px;
        margin: 0 auto;
        flex-wrap: nowrap;
        overflow: auto;
        align-items: center;
        flex-direction: column;
    }

    .publications {
        max-width: 768px;
        margin: 0 auto;
        padding: 82px 60px;
    }

    .publications__row {
        display: flex;
        justify-content: center;
        flex-direction: row;
        gap: 40px;
        margin: 0 auto;
        height: 100%;
        flex-wrap: wrap;
    }

    .publications__text {
        padding-bottom: 30px;
    }

    .contacts__content {
        padding: 0 60px;
    }

    .contacts input {
        border: 1px solid #fff;
        border-radius: 8px;
        padding: 10px 0 10px 10px;
        width: 96%;
        height: 42px;
        background: rgba(0, 0, 0, 0.46);
        margin-top: 15px;
        color: #fff;
    }

    .contacts textarea {
        border: 1px solid #fff;
        border-radius: 8px;
        padding: 10px 0 10px 10px;
        width: 96%;
        height: 190px;
        background: rgba(0, 0, 0, 0.46);
        margin-top: 19px;
        color: #fff;
    }

    .contacts button {
        text-align: center;
        border-radius: 8px;
        padding: 18px 40px;
        width: 100%;
        height: 58px;
        background: #755BC8;
        font-weight: 500;
        color: #fff;
        margin-top: 36px;
        cursor: pointer;
        transition: background 0.3s ease, color 0.3s ease;
    }

    .footer {
        max-width: 768px;
        margin: 0 auto;
        background-color: #333333;
        padding: 80px 60px;
    }

    .footer__top {
        display: flex;
        justify-content: space-between;
        align-items: flex-start;
        padding-bottom: 30px;
        flex-direction: column;
        gap: 40px;
    }

    .footer__menu {
        display: flex;
        flex-direction: column;
    }

    .footer__item {
        width: 100%;
        height: 100%;
        padding: 20px 0;
    }

    .footer__item:first-child {
        width: 100%;
    }

    .footer__item:not(:last-child) {
        border-right: 0;
        border-bottom: 1px solid #E6E6F0;
    }

    .footer__bottom {
        display: flex;
        justify-content: space-between;
        padding-top: 30px;
        border-top: 1px solid #E6E6F0;
    }

    .footer__icons {
        display: flex;
        gap: 10px;
    }

    .copyright {
        font-weight: 400;
        text-align: end;
        color: #fff;
    }

    .contacts1__content {
        display: flex;
        align-items: start;
        justify-content: space-between;
        padding: 0 15px;
        flex-direction: column;
        gap: 40px;
    }

    .contacts1 form {
        text-align: start;
        padding: 40px 40px;
        background-color: #465A6D;
        border-radius: 20px;
        width: 73%;
    }

    .contacts1 input {
        border: 1px solid #fff;
        border-radius: 8px;
        padding: 10px 0 10px 10px;
        width: 96%;
        height: 26px;
        background: #FFFFFF;
        color: black;
    }

    .contacts1 textarea {
        border: 1px solid #fff;
        border-radius: 8px;
        padding: 10px 0 10px 10px;
        width: 96%;
        height: 190px;
        background: #FFFFFF;
        color: black;
    }

    .contacts1 button {
        text-align: center;
        border-radius: 8px;
        padding: 18px 40px;
        width: 100%;
        height: 58px;
        background: #755BC8;
        font-weight: 500;
        color: #fff;
    }

    .about {
        max-width: 768px;
        margin: 0 auto;
        padding: 82px 60px;
    }

    .about__content {
        display: flex;
        align-items: center;
        justify-content: space-between;
        gap: 76px;
        flex-direction: column;
    }

    .service__kind {
        max-width: 768px;
        margin: 0 auto;
        padding: 82px 60px;
    }

    .service__information {
        display: flex;
        align-items: center;
        justify-content: space-between;
        gap: 76px;
        flex-direction: column;
    }

    .about__info {
        max-width: 768px;
        margin: 0 auto;
        padding: 10px 60px 100px;
        display: flex;
        align-items: center;
        justify-content: space-between;
        flex-direction: column;
    }

    .about__info__image {
        width: 346px;
        height: 400px;
    }

    .about__info__column {
        display: flex;
        flex-direction: column;
        justify-content: center;
        text-align: center;
        max-width: 291px;
        height: 690px;
        gap: 70px;
    }

    .service__row {
        display: flex;
        justify-content: space-between;
        flex-direction: row;
        gap: 20px;
        margin: 0 auto;
        height: 100%;
        flex-wrap: wrap;
    }

    .prices {
        max-width: 768px;
        margin: 0 auto;
        background-color: #ffffff;
        padding: 82px 60px;
    }

    .mobile__menu {
        max-width: 768px;
        display: none;
        flex-direction: column;
        gap: 20px;
        background-color: black;
        position: fixed;
        top: 0;
        right: 0;
        left: 0;
        z-index: 1000;
    }

    .mobile__menu.active {
        display: flex;
    }

    .banner-mobile {
        max-width: 768px;
    }

    .burger_content {
        display: flex;
        gap: 50px;
        flex-direction: column;
        align-items: center;
        padding-top: 160px;
    }

    .mobile__nav {
        display: flex;
        gap: 30px;
        flex-direction: column;
        align-items: center;
    }

    .mobile__nav a {
        text-decoration: none;
        font-weight: 500;
        text-align: center;
        color: #fff;
        cursor: pointer;
    }

    .mobile__lang {
        display: flex;
        gap: 20px;
    }

    .dropdown-menu {
        display: none;
        list-style: none;
        margin-top: 8px;
        position: static;
    }

    .services-dropdown.active .dropdown-menu {
        display: block;
        position: static;
    }
}

@media (max-width: 376px) {
    .header {
        max-width: 1600px;
        margin: 0 auto;
        display: none;
        align-items: center;
        background-color: rgba(0, 0, 0, 0.6);
        padding: 39px 15px;
        color: #FFFFFF;
        justify-content: space-between;
    }

    .header2 {
        box-sizing: border-box;
        position: fixed;
        width: 100%;
        max-width: 1024px;
        margin: 0 auto;
        display: flex;
        align-items: center;
        background-color: rgba(0, 0, 0, 0.9);
        padding: 30px 15px;
        color: #FFFFFF;
        justify-content: space-between;
    }

    .burger_menu {
        display: flex;
        flex-direction: column;
        justify-content: space-evenly;
        height: 32px;
    }

    .burger_menu div {
        display: flex;
        width: 25px;
        height: 2px;
        background-color: #FFFFFF;
        margin: 0 auto;
    }

    .hero__section {
        padding: 182px 15px;
    }

    .services {
        max-width: 376px;
        margin: 0 auto;
        background-color: #f6f6f6;
        padding: 82px 15px;
    }

    .services__row {
        display: flex;
        justify-content: center;
        flex-direction: row;
        gap: 60px;
        margin: 0 auto;
        flex-wrap: wrap;
    }

    .comments {
        max-width: 376px;
        margin: 0 auto;
        padding: 0 60px 82px;
    }

    .comments__row {
        display: flex;
        justify-content: space-between;
        flex-direction: row;
        gap: 40px;
        margin: 0 auto;
        height: 100%;
        flex-wrap: nowrap;
        overflow: auto;
    }

    .comments__user {
        display: flex;
        gap: 15px;
        border-bottom: 4px solid #B9B9B9;
        justify-content: space-between;
        align-items: flex-start;
        padding-bottom: 15px;
        flex-direction: column;
    }

    .technologies {
        max-width: 376px;
        margin: 0 auto;
        padding: 82px 15px 0;
    }

    .technologies__row {
        display: flex;
        justify-content: space-between;
        flex-direction: column;
        gap: 43px;
        margin: 0 auto;
        padding-top: 30px;
        flex-wrap: nowrap;
    }

    .clients {
        max-width: 376px;
        margin: 0 auto;
        padding: 82px 15px 0;
    }

    .clients__row {
        display: flex;
        justify-content: center;
        flex-direction: row;
        gap: 40px;
        margin: 0 auto;
        flex-wrap: wrap;
    }

    .publications {
        max-width: 376px;
        margin: 0 auto;
        padding: 82px 15px;
    }

    .publications__row {
        display: flex;
        justify-content: center;
        flex-direction: row;
        gap: 40px;
        margin: 0 auto;
        height: 100%;
        flex-wrap: wrap;
    }

    .publications__text {
        padding: 0 30px 30px;
    }

    .contacts__content {
        padding: 0 15px;
    }

    .contacts input {
        border: 1px solid #fff;
        border-radius: 8px;
        padding: 10px 0 10px 10px;
        width: 96%;
        height: 42px;
        background: rgba(0, 0, 0, 0.46);
        margin-top: 15px;
        color: #fff;
    }

    .contacts textarea {
        border: 1px solid #fff;
        border-radius: 8px;
        padding: 10px 0 10px 10px;
        width: 96%;
        height: 190px;
        background: rgba(0, 0, 0, 0.46);
        margin-top: 19px;
        color: #fff;
    }

    .contacts button {
        text-align: center;
        border-radius: 8px;
        padding: 18px 40px;
        width: 100%;
        height: 58px;
        background: #755BC8;
        font-weight: 500;
        color: #fff;
        margin-top: 35px;
        cursor: pointer;
        transition: background 0.3s ease, color 0.3s ease;
    }

    .footer {
        max-width: 376px;
        margin: 0 auto;
        background-color: #333333;
        padding: 80px 15px;
    }

    .footer__top {
        display: flex;
        justify-content: space-between;
        align-items: flex-start;
        padding-bottom: 30px;
        flex-direction: column;
        gap: 40px;
    }

    .footer__menu {
        display: flex;
        flex-direction: column;
    }

    .footer__item {
        width: 100%;
        height: 100%;
        padding: 20px 0;
    }

    .footer__item:first-child {
        width: 100%;
    }

    .footer__item:not(:last-child) {
        border-right: 0;
        border-bottom: 1px solid #E6E6F0;
    }

    .footer__bottom {
        display: flex;
        justify-content: space-between;
        padding-top: 30px;
        border-top: 1px solid #E6E6F0;
    }

    .footer__icons {
        display: flex;
        gap: 10px;
    }

    .copyright {
        font-weight: 400;
        text-align: end;
        color: #fff;
    }

    .contacts1__content {
        display: flex;
        align-items: start;
        justify-content: space-between;
        padding: 0 15px;
        flex-direction: column;
        gap: 40px;
    }

    .contacts1 form {
        text-align: start;
        padding: 40px 40px;
        background-color: #465A6D;
        border-radius: 20px;
        width: 73%;
    }

    .contacts1 input {
        border: 1px solid #fff;
        border-radius: 8px;
        padding: 10px 0 10px 10px;
        width: 96%;
        height: 26px;
        background: #FFFFFF;
        color: black;
    }

    .contacts1 textarea {
        border: 1px solid #fff;
        border-radius: 8px;
        padding: 10px 0 10px 10px;
        width: 96%;
        height: 190px;
        background: #FFFFFF;
        color: black;
    }

    .contacts1 button {
        text-align: center;
        border-radius: 8px;
        padding: 18px 40px;
        width: 100%;
        height: 58px;
        background: #755BC8;
        font-weight: 500;
        color: #fff;
    }

    .about {
        max-width: 376px;
        margin: 0 auto;
        padding: 82px 15px;
    }

    .about__content {
        display: flex;
        align-items: center;
        justify-content: space-between;
        gap: 76px;
        flex-direction: column;
    }

    .about__image img {
        width: 340px;
    }

    .service__kind {
        max-width: 376px;
        margin: 0 auto;
        padding: 82px 15px;
    }

    .service__information {
        display: flex;
        align-items: center;
        justify-content: space-between;
        gap: 76px;
        flex-direction: column;
    }

    .service__information img {
        width: 340px;
    }

    .about__info {
        max-width: 376px;
        margin: 0 auto;
        padding: 10px 15px 100px;
        display: flex;
        align-items: center;
        justify-content: space-between;
        flex-direction: column;
    }

    .about__info__image {
        width: 346px;
        height: 400px;
    }

    .about__info__column {
        display: flex;
        flex-direction: column;
        justify-content: center;
        text-align: center;
        max-width: 291px;
        height: 690px;
        gap: 70px;
    }

    .service__information {
        display: flex;
        align-items: center;
        justify-content: space-between;
        gap: 76px;
        flex-direction: column;
    }

    .service__row {
        display: flex;
        justify-content: space-between;
        flex-direction: row;
        gap: 20px;
        margin: 0 auto;
        height: 100%;
        flex-wrap: wrap;
    }

    .prices {
        max-width: 376px;
        margin: 0 auto;
        background-color: #ffffff;
        padding: 82px 15px;
    }

    .mobile__menu {
        max-width: 376px;
        display: none;
        flex-direction: column;
        gap: 20px;
        background-color: black;
        position: fixed;
        top: 0;
        right: 0;
        left: 0;
        z-index: 1000;
    }

    .mobile__menu.active {
        display: flex;
    }

    .banner-mobile {
        max-width: 376px;
    }

    .burger_content {
        display: flex;
        gap: 50px;
        flex-direction: column;
        align-items: center;
        padding-top: 160px;
    }

    .mobile__nav {
        display: flex;
        gap: 30px;
        flex-direction: column;
        align-items: center;
    }

    .mobile__nav a {
        text-decoration: none;
        font-weight: 500;
        text-align: center;
        color: #fff;
        cursor: pointer;
    }

    .mobile__lang {
        display: flex;
        gap: 20px;
    }

    .dropdown-menu {
        display: none;
        list-style: none;
        margin-top: 8px;
        position: static;
    }

    .services-dropdown.active .dropdown-menu {
        display: block;
        position: static;
    }
}

